path: /build/build/nvidia-560-kernel-open-modules-kernel-5.10-560.35.03+2.package.tar.zst
dependencies: []
compilespec:
  steps:
  - anise repo update && anise upgrade -y && anise i -y x11-drivers-560/nvidia-drivers
    && anise cleanup && USE="open-kernel" emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-560.35.03
    -pv -t
  - |
    USE="open-kernel" emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-560.35.03
  - |
    eval 'rm -rf /nvidia-560-kernel-open-modules || true' && mkdir /nvidia-560-kernel-open-modules && \
    luet-portage --dir /nvidia-560-kernel-open-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-560-kernel-open-modules/lib/modules/nvidia-open/560.35.03/5.10.242-macaroni/video/*.ko
    ; do xz -z ${i} ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:7a8e19fc54cfcaf730ad8fcd917257ce28886d2946ad9e52088596983198e8ae
  package:
    name: nvidia-560-kernel-open-modules
    version: 560.35.03+2
    category: kernel-5.10
    use_flags:
    - open-kernel
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.10
    annotations:
      kernel_module: true
    buildtimestamp: 2025-09-12 16:20:44.800863571 +0000 UTC m=+657.227760576
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.10.242
      original.package.slot: "560"
      original.package.version: 560.35.03
    treedir: /build/packages
  package_dir: /nvidia-560-kernel-open-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: dd599b69bd8267251daa55fc3ab192579317e5de101fd52be74aa3d23a3aaadf
compressiontype: zstd
files:
- lib/modules/nvidia-open/560.35.03/5.10.242-macaroni/video/nvidia-drm.ko.xz
- lib/modules/nvidia-open/560.35.03/5.10.242-macaroni/video/nvidia-modeset.ko.xz
- lib/modules/nvidia-open/560.35.03/5.10.242-macaroni/video/nvidia-uvm.ko.xz
- lib/modules/nvidia-open/560.35.03/5.10.242-macaroni/video/nvidia.ko.xz
package_cacheimage: ""
runtime:
  name: nvidia-560-kernel-open-modules
  version: 560.35.03+2
  category: kernel-5.10
  use_flags:
  - open-kernel
  requires:
  - name: gpu-configurator
    version: '>=0'
    category: app-admin
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.10.242
    original.package.slot: "560"
    original.package.version: 560.35.03
